> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/inventory-count/cycle-counts.md).

# Cycle Counts

cycleCounts

## create PhysicalInventory

> Creates an Inventory Variance Decision Reason entry.\
> &#x20;           If the decisionOutcomeEnumId = 'APPLIED', it also creates PhysicalInventory and InventoryItemVariance records.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.createPhysicalInventory.Out":{"type":"object","properties":{"physicalInventoryId":{"type":"string"},"inventoryItemId":{"type":"string"}}},"co.hotwax.cycleCount.InventoryCountServices.createPhysicalInventory.In":{"type":"object","properties":{"inventoryCountProductsList":{"type":"array","items":{"type":"object","properties":{"productId":{"type":"string"},"facilityId":{"type":"string"},"varianceQuantity":{"type":"number"},"decisionOutcomeEnumId":{"type":"string"},"decisionReasonEnumId":{"type":"string"},"workEffortId":{"type":"string"},"systemQuantity":{"type":"number"},"countedQuantity":{"type":"number"},"comments":{"type":"string"}}}}},"required":["inventoryCountProductsList"]}}},"paths":{"/cycleCounts/submit":{"post":{"tags":["cycleCounts"],"summary":"create PhysicalInventory","description":"Creates an Inventory Variance Decision Reason entry.\n            If the decisionOutcomeEnumId = 'APPLIED', it also creates PhysicalInventory and InventoryItemVariance records.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createPhysicalInventory.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createPhysicalInventory.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createPhysicalInventory.In"}}},"required":true}}}}}
```

## POST /cycleCounts/upload

> upload InventoryCountImports

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.Out":{"type":"object","properties":{"fileName":{"type":"string"},"contentLocation":{"type":"string"},"fileSize":{"type":"integer","format":"int64","description":"Uploaded file size in Bytes"}},"required":["fileName","contentLocation"]},"co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.In":{"type":"object","properties":{"contentPath":{"type":"string","description":"By default, the system uploads the file to runtime://datamanager.\n                    If the contentPath is provided, it places file at runtime://datamanager/${contentPath}."},"contentFile":{"type":"string"}},"required":["contentFile"]}}},"paths":{"/cycleCounts/upload":{"post":{"tags":["cycleCounts"],"summary":"upload InventoryCountImports","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.uploadInventoryCountImports.In"}}},"required":true}}}}}
```

## GET /cycleCounts/systemMessages

> list SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"systemMessages":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"statusId":{"type":"string","enum":["SmsgProduced","SmsgSending","SmsgSent","SmsgReceived","SmsgConsuming","SmsgConsumed","SmsgConfirmed","SmsgRejected","SmsgCancelled","SmsgError"]},"isOutgoing":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"processedDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"failCount":{"type":"number","format":"int64"},"parentMessageId":{"type":"string"},"ackMessageId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageText":{"type":"string"},"senderId":{"type":"string"},"receiverId":{"type":"string"},"messageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"docType":{"type":"string"},"docSubType":{"type":"string"},"docControl":{"type":"string"},"docSubControl":{"type":"string"},"docVersion":{"type":"string"},"triggerVisitId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"jobRunId":{"type":"string"},"orderId":{"type":"string"},"consumeSmrId":{"type":"string"},"shopifyWebhookId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/systemMessages":{"get":{"tags":["cycleCounts"],"summary":"list SystemMessage","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"systemMessageId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"systemMessageRemoteId","in":"query","required":false,"description":"Reference to the SystemMessageRemote record for the remote system\n            this message came from for incoming messages or should be sent to for outgoing messages."},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"isOutgoing","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"initDate","in":"query","required":false,"description":"For incoming the received date, for outgoing the produced date"},{"schema":{"type":"string","format":"date-time"},"name":"processedDate","in":"query","required":false,"description":"For incoming the consumed date, for outgoing the sent date"},{"schema":{"type":"string","format":"date-time"},"name":"lastAttemptDate","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"failCount","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentMessageId","in":"query","required":false,"description":"If a received message is split this is the original message"},{"schema":{"type":"string","format":""},"name":"ackMessageId","in":"query","required":false,"description":"The message received or sent to acknowledge this message"},{"schema":{"type":"string","format":""},"name":"remoteMessageId","in":"query","required":false,"description":"For messages to/from another Moqui system, the\n            systemMessageId on the remote system; may also be used for other system level message IDs (as opposed to\n            messageId which is for the ID in the envelope of the message)"},{"schema":{"type":"string","format":""},"name":"messageText","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"senderId","in":"query","required":false,"description":"ID of the sender (for OAGIS may be broken down into\n            logicalId, component, task, referenceId; for EDI X12 this is ISA06)"},{"schema":{"type":"string","format":""},"name":"receiverId","in":"query","required":false,"description":"ID of the receiver (for OAGIS may also be broken down;\n            for EDI X12 this is ISA08)"},{"schema":{"type":"string","format":""},"name":"messageId","in":"query","required":false,"description":"ID of the message; this may be globally unique (like\n            the OAGIS BODID, a GUID) or only unique relative to the senderId and the receiverId (like EDI X12 ISA13 in\n            the context of ISA06, ISA08), and may only be unique within a certain time period (ID may be reused since in\n            EDI X12 limited to 9 digits)"},{"schema":{"type":"string","format":"date-time"},"name":"messageDate","in":"query","required":false,"description":"Date/time from message (for EDI X12 this is GS04 (date)\n            and GS05 (time))"},{"schema":{"type":"string","format":""},"name":"docType","in":"query","required":false,"description":"For OAGIS the BSR Noun; For X12 GS01 (functional ID code)"},{"schema":{"type":"string","format":""},"name":"docSubType","in":"query","required":false,"description":"For OAGIS the BSR Verb; For X12 ST01 (tx set ID code)"},{"schema":{"type":"string","format":""},"name":"docControl","in":"query","required":false,"description":"Control number of the message when applicable (such as\n            GS06 in EDI X12 messages)"},{"schema":{"type":"string","format":""},"name":"docSubControl","in":"query","required":false,"description":"Sub-Control number of the message when applicable (such as\n            ST02 in EDI X12 messages)"},{"schema":{"type":"string","format":""},"name":"docVersion","in":"query","required":false,"description":"The document version (for OAGIS BSR Revision, for X12\n            GS08 (version/revision))"},{"schema":{"type":"string","format":""},"name":"triggerVisitId","in":"query","required":false,"description":"Active visit when SystemMessage triggered (mainly produced) to track\n            the user who did so; independent of the message transport which could have separate remote system and other Visit-like data."},{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shopId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"jobRunId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"consumeSmrId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shopifyWebhookId","in":"query","required":false,"description":"Shopify webhook delivery ID (X-Shopify-Webhook-Id) for an accepted delivery.\n                NULL for non-webhook and historical messages; uniqueness reserves a new\n                delivery in the same transaction that creates its incoming SystemMessage.\n                Any row for the ID is the delivery whatever its status: a redelivery is\n                acknowledged without a new row, and a failed message is retried by reset."},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/systemMessages"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/systemMessages/{systemMessageId}

> store SystemMessage

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"systemMessages.PK":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages.PK"},"systemMessageId":{"type":"string"}}},"systemMessages":{"title":"System Message","type":"object","properties":{"_entity":{"type":"string","default":"systemMessages"},"systemMessageId":{"type":"string"},"systemMessageTypeId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"statusId":{"type":"string","enum":["SmsgProduced","SmsgSending","SmsgSent","SmsgReceived","SmsgConsuming","SmsgConsumed","SmsgConfirmed","SmsgRejected","SmsgCancelled","SmsgError"]},"isOutgoing":{"type":"string"},"initDate":{"type":"string","format":"date-time"},"processedDate":{"type":"string","format":"date-time"},"lastAttemptDate":{"type":"string","format":"date-time"},"failCount":{"type":"number","format":"int64"},"parentMessageId":{"type":"string"},"ackMessageId":{"type":"string"},"remoteMessageId":{"type":"string"},"messageText":{"type":"string"},"senderId":{"type":"string"},"receiverId":{"type":"string"},"messageId":{"type":"string"},"messageDate":{"type":"string","format":"date-time"},"docType":{"type":"string"},"docSubType":{"type":"string"},"docControl":{"type":"string"},"docSubControl":{"type":"string"},"docVersion":{"type":"string"},"triggerVisitId":{"type":"string"},"productStoreId":{"type":"string"},"shopId":{"type":"string"},"jobRunId":{"type":"string"},"orderId":{"type":"string"},"consumeSmrId":{"type":"string"},"shopifyWebhookId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/systemMessages/{systemMessageId}":{"post":{"tags":["cycleCounts"],"summary":"store SystemMessage","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/systemMessages"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/systemMessages"}}},"required":false}}}}}
```

## GET /cycleCounts/systemMessages/{systemMessageId}/downloadFile

> get UploadedCsvFile

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getUploadedCsvFile.Out":{"type":"object","properties":{"csvData":{"type":"string"}}}}},"paths":{"/cycleCounts/systemMessages/{systemMessageId}/downloadFile":{"get":{"tags":["cycleCounts"],"summary":"get UploadedCsvFile","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getUploadedCsvFile.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/systemMessages/{systemMessageId}/errors

> list SystemMessageError

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.service.message.SystemMessageError":{"title":"System Message Error","type":"object","properties":{"_entity":{"type":"string","default":"moqui.service.message.SystemMessageError"},"systemMessageId":{"type":"string"},"errorDate":{"type":"string","format":"date-time"},"attemptedStatusId":{"type":"string"},"errorText":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/systemMessages/{systemMessageId}/errors":{"get":{"tags":["cycleCounts"],"summary":"list SystemMessageError","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":"date-time"},"name":"errorDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"attemptedStatusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"errorText","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.service.message.SystemMessageError"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/facilityLocations

> list FacilityAndLocationAndEnumeration

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.FacilityAndLocationAndEnumeration":{"title":"Facility And Location And Enumeration","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.FacilityAndLocationAndEnumeration"},"facilityId":{"type":"string"},"facilityName":{"type":"string"},"facilityTypeId":{"type":"string"},"locationSeqId":{"type":"string"},"locationTypeEnumId":{"type":"string"},"areaId":{"type":"string"},"aisleId":{"type":"string"},"sectionId":{"type":"string"},"levelId":{"type":"string"},"positionId":{"type":"string"},"geoPointId":{"type":"string"},"isLocked":{"type":"string"},"lastCountDate":{"type":"string","format":"date"},"nextCountDate":{"type":"string","format":"date"},"externalId":{"type":"string"},"enumTypeId":{"type":"string"},"parentEnumId":{"type":"string"},"enumCode":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"description":{"type":"string"},"optionValue":{"type":"string"},"optionIndicator":{"type":"string"},"relatedEnumId":{"type":"string"},"relatedEnumTypeId":{"type":"string"},"statusFlowId":{"type":"string"},"enumName":{"type":"string"},"primaryEnumerationGroupId":{"type":"string"}}}}},"paths":{"/cycleCounts/facilityLocations":{"get":{"tags":["cycleCounts"],"summary":"list FacilityAndLocationAndEnumeration","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"locationSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"locationTypeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"areaId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"aisleId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"sectionId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"levelId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"positionId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"geoPointId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"isLocked","in":"query","required":false,"description":"Indicates a facility location is locked for reservations or not"},{"schema":{"type":"string","format":"date"},"name":"lastCountDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date"},"name":"nextCountDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"externalId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"enumTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"enumCode","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"sequenceNum","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"optionValue","in":"query","required":false,"description":"Usage depends on enum type such as an ID format/mask"},{"schema":{"type":"string","format":""},"name":"optionIndicator","in":"query","required":false,"description":"Indicator flag with meaning depending on enum type"},{"schema":{"type":"string","format":""},"name":"relatedEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"relatedEnumTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusFlowId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"enumName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"primaryEnumerationGroupId","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.FacilityAndLocationAndEnumeration"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/workEfforts

> get CycleCounts

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getCycleCounts.Out":{"type":"object","properties":{"cycleCounts":{"type":"string"},"cycleCountsCount":{"type":"string"}}}}},"paths":{"/cycleCounts/workEfforts":{"get":{"tags":["cycleCounts"],"summary":"get CycleCounts","description":null,"parameters":[{"schema":{"type":"string","format":""},"name":"countType","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId_op","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"keyword","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"createdDateFrom","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"createdDateTo","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"closedDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"closedDateTo","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityId_op","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"userId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"deviceId","in":"query","required":false,"description":null},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero."},{"schema":{"type":"integer","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 20)."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getCycleCounts.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/workEfforts

> create WorkEffort

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"},"workEffortId":{"type":"string"}}},"org.apache.ofbiz.workeffort.workeffort.WorkEffort":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort"},"workEffortId":{"type":"string"},"workEffortTypeId":{"type":"string"},"statusId":{"type":"string"},"lastStatusUpdate":{"type":"string","format":"date-time"},"workEffortPurposeTypeId":{"type":"string"},"workEffortParentId":{"type":"string"},"scopeEnumId":{"type":"string"},"priority":{"type":"number","format":"int64"},"percentComplete":{"type":"number","format":"int64"},"workEffortName":{"type":"string"},"showAsEnumId":{"type":"string"},"sendNotificationEmail":{"type":"string"},"description":{"type":"string"},"locationDesc":{"type":"string"},"estimatedStartDate":{"type":"string","format":"date-time"},"estimatedCompletionDate":{"type":"string","format":"date-time"},"actualStartDate":{"type":"string","format":"date-time"},"actualCompletionDate":{"type":"string","format":"date-time"},"estimatedMilliSeconds":{"type":"number","format":"double"},"estimatedSetupMillis":{"type":"number","format":"double"},"estimateCalcMethod":{"type":"string"},"actualMilliSeconds":{"type":"number","format":"double"},"actualSetupMillis":{"type":"number","format":"double"},"totalMilliSecondsAllowed":{"type":"number","format":"double"},"totalMoneyAllowed":{"type":"number"},"moneyUomId":{"type":"string"},"specialTerms":{"type":"string"},"timeTransparency":{"type":"number","format":"int64"},"universalId":{"type":"string"},"sourceReferenceId":{"type":"string"},"fixedAssetId":{"type":"string"},"facilityId":{"type":"string"},"infoUrl":{"type":"string"},"recurrenceInfoId":{"type":"string"},"tempExprId":{"type":"string"},"runtimeDataId":{"type":"string"},"noteId":{"type":"string"},"serviceLoaderName":{"type":"string"},"quantityToProduce":{"type":"number"},"quantityProduced":{"type":"number"},"quantityRejected":{"type":"number"},"reservPersons":{"type":"number"},"reserv2ndPPPerc":{"type":"number"},"reservNthPPPerc":{"type":"number"},"accommodationMapId":{"type":"string"},"accommodationSpotId":{"type":"string"},"revisionNumber":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"createdByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"dueDate":{"type":"string","format":"date-time"},"notes":{"type":"string"},"externalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/workEfforts":{"post":{"tags":["cycleCounts"],"summary":"create WorkEffort","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}}},"required":false}}}}}
```

## PUT /cycleCounts/workEfforts

> update WorkEffort

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"},"workEffortId":{"type":"string"}}},"org.apache.ofbiz.workeffort.workeffort.WorkEffort":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort"},"workEffortId":{"type":"string"},"workEffortTypeId":{"type":"string"},"statusId":{"type":"string"},"lastStatusUpdate":{"type":"string","format":"date-time"},"workEffortPurposeTypeId":{"type":"string"},"workEffortParentId":{"type":"string"},"scopeEnumId":{"type":"string"},"priority":{"type":"number","format":"int64"},"percentComplete":{"type":"number","format":"int64"},"workEffortName":{"type":"string"},"showAsEnumId":{"type":"string"},"sendNotificationEmail":{"type":"string"},"description":{"type":"string"},"locationDesc":{"type":"string"},"estimatedStartDate":{"type":"string","format":"date-time"},"estimatedCompletionDate":{"type":"string","format":"date-time"},"actualStartDate":{"type":"string","format":"date-time"},"actualCompletionDate":{"type":"string","format":"date-time"},"estimatedMilliSeconds":{"type":"number","format":"double"},"estimatedSetupMillis":{"type":"number","format":"double"},"estimateCalcMethod":{"type":"string"},"actualMilliSeconds":{"type":"number","format":"double"},"actualSetupMillis":{"type":"number","format":"double"},"totalMilliSecondsAllowed":{"type":"number","format":"double"},"totalMoneyAllowed":{"type":"number"},"moneyUomId":{"type":"string"},"specialTerms":{"type":"string"},"timeTransparency":{"type":"number","format":"int64"},"universalId":{"type":"string"},"sourceReferenceId":{"type":"string"},"fixedAssetId":{"type":"string"},"facilityId":{"type":"string"},"infoUrl":{"type":"string"},"recurrenceInfoId":{"type":"string"},"tempExprId":{"type":"string"},"runtimeDataId":{"type":"string"},"noteId":{"type":"string"},"serviceLoaderName":{"type":"string"},"quantityToProduce":{"type":"number"},"quantityProduced":{"type":"number"},"quantityRejected":{"type":"number"},"reservPersons":{"type":"number"},"reserv2ndPPPerc":{"type":"number"},"reservNthPPPerc":{"type":"number"},"accommodationMapId":{"type":"string"},"accommodationSpotId":{"type":"string"},"revisionNumber":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"createdByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"dueDate":{"type":"string","format":"date-time"},"notes":{"type":"string"},"externalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/workEfforts":{"put":{"tags":["cycleCounts"],"summary":"update WorkEffort","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}}},"required":false}}}}}
```

## GET /cycleCounts/workEfforts/{workEffortId}

> one WorkEffort

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.workeffort.workeffort.WorkEffort":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort"},"workEffortId":{"type":"string"},"workEffortTypeId":{"type":"string"},"statusId":{"type":"string"},"lastStatusUpdate":{"type":"string","format":"date-time"},"workEffortPurposeTypeId":{"type":"string"},"workEffortParentId":{"type":"string"},"scopeEnumId":{"type":"string"},"priority":{"type":"number","format":"int64"},"percentComplete":{"type":"number","format":"int64"},"workEffortName":{"type":"string"},"showAsEnumId":{"type":"string"},"sendNotificationEmail":{"type":"string"},"description":{"type":"string"},"locationDesc":{"type":"string"},"estimatedStartDate":{"type":"string","format":"date-time"},"estimatedCompletionDate":{"type":"string","format":"date-time"},"actualStartDate":{"type":"string","format":"date-time"},"actualCompletionDate":{"type":"string","format":"date-time"},"estimatedMilliSeconds":{"type":"number","format":"double"},"estimatedSetupMillis":{"type":"number","format":"double"},"estimateCalcMethod":{"type":"string"},"actualMilliSeconds":{"type":"number","format":"double"},"actualSetupMillis":{"type":"number","format":"double"},"totalMilliSecondsAllowed":{"type":"number","format":"double"},"totalMoneyAllowed":{"type":"number"},"moneyUomId":{"type":"string"},"specialTerms":{"type":"string"},"timeTransparency":{"type":"number","format":"int64"},"universalId":{"type":"string"},"sourceReferenceId":{"type":"string"},"fixedAssetId":{"type":"string"},"facilityId":{"type":"string"},"infoUrl":{"type":"string"},"recurrenceInfoId":{"type":"string"},"tempExprId":{"type":"string"},"runtimeDataId":{"type":"string"},"noteId":{"type":"string"},"serviceLoaderName":{"type":"string"},"quantityToProduce":{"type":"number"},"quantityProduced":{"type":"number"},"quantityRejected":{"type":"number"},"reservPersons":{"type":"number"},"reserv2ndPPPerc":{"type":"number"},"reservNthPPPerc":{"type":"number"},"accommodationMapId":{"type":"string"},"accommodationSpotId":{"type":"string"},"revisionNumber":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"createdByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"dueDate":{"type":"string","format":"date-time"},"notes":{"type":"string"},"externalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/workEfforts/{workEffortId}":{"get":{"tags":["cycleCounts"],"summary":"one WorkEffort","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /cycleCounts/workEfforts/{workEffortId}

> update WorkEffort

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"},"workEffortId":{"type":"string"}}},"org.apache.ofbiz.workeffort.workeffort.WorkEffort":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort"},"workEffortId":{"type":"string"},"workEffortTypeId":{"type":"string"},"statusId":{"type":"string"},"lastStatusUpdate":{"type":"string","format":"date-time"},"workEffortPurposeTypeId":{"type":"string"},"workEffortParentId":{"type":"string"},"scopeEnumId":{"type":"string"},"priority":{"type":"number","format":"int64"},"percentComplete":{"type":"number","format":"int64"},"workEffortName":{"type":"string"},"showAsEnumId":{"type":"string"},"sendNotificationEmail":{"type":"string"},"description":{"type":"string"},"locationDesc":{"type":"string"},"estimatedStartDate":{"type":"string","format":"date-time"},"estimatedCompletionDate":{"type":"string","format":"date-time"},"actualStartDate":{"type":"string","format":"date-time"},"actualCompletionDate":{"type":"string","format":"date-time"},"estimatedMilliSeconds":{"type":"number","format":"double"},"estimatedSetupMillis":{"type":"number","format":"double"},"estimateCalcMethod":{"type":"string"},"actualMilliSeconds":{"type":"number","format":"double"},"actualSetupMillis":{"type":"number","format":"double"},"totalMilliSecondsAllowed":{"type":"number","format":"double"},"totalMoneyAllowed":{"type":"number"},"moneyUomId":{"type":"string"},"specialTerms":{"type":"string"},"timeTransparency":{"type":"number","format":"int64"},"universalId":{"type":"string"},"sourceReferenceId":{"type":"string"},"fixedAssetId":{"type":"string"},"facilityId":{"type":"string"},"infoUrl":{"type":"string"},"recurrenceInfoId":{"type":"string"},"tempExprId":{"type":"string"},"runtimeDataId":{"type":"string"},"noteId":{"type":"string"},"serviceLoaderName":{"type":"string"},"quantityToProduce":{"type":"number"},"quantityProduced":{"type":"number"},"quantityRejected":{"type":"number"},"reservPersons":{"type":"number"},"reserv2ndPPPerc":{"type":"number"},"reservNthPPPerc":{"type":"number"},"accommodationMapId":{"type":"string"},"accommodationSpotId":{"type":"string"},"revisionNumber":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"createdByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"dueDate":{"type":"string","format":"date-time"},"notes":{"type":"string"},"externalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/workEfforts/{workEffortId}":{"put":{"tags":["cycleCounts"],"summary":"update WorkEffort","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}}},"required":false}}}}}
```

## GET /cycleCounts/workEfforts/{workEffortId}/sessions

> list InventoryCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImport":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"},"workEffortId":{"type":"string"},"facilityAreaId":{"type":"string"},"approvedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/workEfforts/{workEffortId}/sessions":{"get":{"tags":["cycleCounts"],"summary":"list InventoryCountImport","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"inventoryCountImportId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"countImportName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"uploadedByUserLogin","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"parentCountId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"dueDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"facilityAreaId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"approvedDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/workEfforts/{workEffortId}/sessions

> create InventoryCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImport.PK":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport.PK"},"inventoryCountImportId":{"type":"string"}}},"co.hotwax.warehouse.InventoryCountImport":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"},"workEffortId":{"type":"string"},"facilityAreaId":{"type":"string"},"approvedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/workEfforts/{workEffortId}/sessions":{"post":{"tags":["cycleCounts"],"summary":"create InventoryCountImport","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}}},"required":false}}}}}
```

## GET /cycleCounts/workEfforts/{workEffortId}/reviews

> list InventoryCountReview

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountReview":{"title":"Inventory Count Review","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountReview"},"facilityId":{"type":"string"},"workEffortId":{"type":"string"},"productId":{"type":"string"},"internalName":{"type":"string"},"detailImageUrl":{"type":"string"},"primaryProductCategoryId":{"type":"string"},"quantityOnHand":{"type":"number"},"unitCost":{"type":"number"},"inventoryItemId":{"type":"string"},"quantity":{"type":"number"},"price":{"type":"number"},"decisionOutcomeEnumId":{"type":"string"},"varianceQuantity":{"type":"number"},"systemQuantity":{"type":"number"},"countedQuantity":{"type":"number"},"systemQuantityOnHand":{"type":"number"},"numberOfSessions":{"type":"number"},"proposedVarianceQuantity":{"type":"number"},"extendedUnitCost":{"type":"number"},"extendedPrice":{"type":"number"},"minLastUpdatedAt":{"type":"string","format":"date-time"},"maxLastUpdatedAt":{"type":"string","format":"date-time"},"isRequested":{"type":"string"}}}}},"paths":{"/cycleCounts/workEfforts/{workEffortId}/reviews":{"get":{"tags":["cycleCounts"],"summary":"list InventoryCountReview","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"internalName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"detailImageUrl","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"primaryProductCategoryId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityOnHand","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"unitCost","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"inventoryItemId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantity","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"price","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"decisionOutcomeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"varianceQuantity","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"systemQuantity","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"countedQuantity","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"systemQuantityOnHand","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"numberOfSessions","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"proposedVarianceQuantity","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"extendedUnitCost","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"extendedPrice","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"minLastUpdatedAt","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"maxLastUpdatedAt","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"isRequested","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountReview"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/workEfforts/{workEffortId}/reviews/count

> count InventoryCountReview

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountReview":{"title":"Inventory Count Review","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountReview"},"facilityId":{"type":"string"},"workEffortId":{"type":"string"},"productId":{"type":"string"},"internalName":{"type":"string"},"detailImageUrl":{"type":"string"},"primaryProductCategoryId":{"type":"string"},"quantityOnHand":{"type":"number"},"unitCost":{"type":"number"},"inventoryItemId":{"type":"string"},"quantity":{"type":"number"},"price":{"type":"number"},"decisionOutcomeEnumId":{"type":"string"},"varianceQuantity":{"type":"number"},"systemQuantity":{"type":"number"},"countedQuantity":{"type":"number"},"systemQuantityOnHand":{"type":"number"},"numberOfSessions":{"type":"number"},"proposedVarianceQuantity":{"type":"number"},"extendedUnitCost":{"type":"number"},"extendedPrice":{"type":"number"},"minLastUpdatedAt":{"type":"string","format":"date-time"},"maxLastUpdatedAt":{"type":"string","format":"date-time"},"isRequested":{"type":"string"}}}}},"paths":{"/cycleCounts/workEfforts/{workEffortId}/reviews/count":{"get":{"tags":["cycleCounts"],"summary":"count InventoryCountReview","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"number","format":"int64","description":"Count of results"}}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountReview"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountReview"}}},"required":false}}}}}
```

## GET /cycleCounts/workEfforts/{workEffortId}/count

> list InventoryCountImportAndItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportAndItem":{"title":"Inventory Count Import And Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportAndItem"},"workEffortId":{"type":"string"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"statusId":{"type":"string"},"productId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastUpdatedAt":{"type":"string","format":"date-time"},"uploadedByUserLogin":{"type":"string"},"counted":{"type":"number"}}}}},"paths":{"/cycleCounts/workEfforts/{workEffortId}/count":{"get":{"tags":["cycleCounts"],"summary":"list InventoryCountImportAndItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"inventoryCountImportId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"countImportName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedAt","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"uploadedByUserLogin","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"counted","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportAndItem"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /cycleCounts/sessions/{inventoryCountImportId}

> one InventoryCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImport":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"},"workEffortId":{"type":"string"},"facilityAreaId":{"type":"string"},"approvedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}":{"get":{"tags":["cycleCounts"],"summary":"one InventoryCountImport","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /cycleCounts/sessions/{inventoryCountImportId}

> update InventoryCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImport.PK":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport.PK"},"inventoryCountImportId":{"type":"string"}}},"co.hotwax.warehouse.InventoryCountImport":{"title":"Inventory Count Import","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImport"},"inventoryCountImportId":{"type":"string"},"countImportName":{"type":"string"},"uploadedByUserLogin":{"type":"string"},"parentCountId":{"type":"string"},"statusId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"dueDate":{"type":"string","format":"date-time"},"workEffortId":{"type":"string"},"facilityAreaId":{"type":"string"},"approvedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}":{"put":{"tags":["cycleCounts"],"summary":"update InventoryCountImport","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImport"}}},"required":false}}}}}
```

## GET /cycleCounts/sessions/{inventoryCountImportId}/items

> list InventoryCountImportItemAndInventory

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportItemAndInventory":{"title":"Inventory Count Import Item And Inventory","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItemAndInventory"},"facilityId":{"type":"string"},"availableToPromiseTotal":{"type":"number"},"quantityOnHandTotal":{"type":"number"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"},"locationSeqId":{"type":"string"},"productId":{"type":"string"},"productIdentifier":{"type":"string"},"quantity":{"type":"number"},"countedByUserLoginId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLoginId":{"type":"string"},"uuid":{"type":"string"},"isRequested":{"type":"string"},"systemQuantityOnHand":{"type":"number"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/items":{"get":{"tags":["cycleCounts"],"summary":"list InventoryCountImportItemAndInventory","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"availableToPromiseTotal","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityOnHandTotal","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"importItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"locationSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productIdentifier","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantity","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"countedByUserLoginId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"createdByUserLoginId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"uuid","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"isRequested","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"systemQuantityOnHand","in":"query","required":false,"description":"Stores the QOH at the time of counting."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItemAndInventory"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /cycleCounts/sessions/{inventoryCountImportId}/items

> store InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.storeInventoryCountImportItem.In":{"type":"object","properties":{"workEffortId":{"type":"string"},"inventoryCountImportId":{"type":"string"},"items":{"type":"array","items":{"type":"string"}}},"required":["inventoryCountImportId"]}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/items":{"put":{"tags":["cycleCounts"],"summary":"store InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.storeInventoryCountImportItem.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.storeInventoryCountImportItem.In"}}},"required":true}}}}}
```

## DELETE /cycleCounts/sessions/{inventoryCountImportId}/items

> delete InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportItem.PK":{"title":"Inventory Count Import Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItem.PK"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/items":{"delete":{"tags":["cycleCounts"],"summary":"delete InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem.PK"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem.PK"}}},"required":false}}}}}
```

## GET /cycleCounts/sessions/{inventoryCountImportId}/items/count

> count InventoryCountImportItem

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportItem":{"title":"Inventory Count Import Item","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportItem"},"inventoryCountImportId":{"type":"string"},"importItemSeqId":{"type":"string"},"locationSeqId":{"type":"string"},"productId":{"type":"string"},"productIdentifier":{"type":"string"},"quantity":{"type":"number"},"countedByUserLoginId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLoginId":{"type":"string"},"uuid":{"type":"string"},"isRequested":{"type":"string"},"systemQuantityOnHand":{"type":"number"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/items/count":{"get":{"tags":["cycleCounts"],"summary":"count InventoryCountImportItem","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"number","format":"int64","description":"Count of results"}}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportItem"}}},"required":false}}}}}
```

## POST /cycleCounts/sessions/{inventoryCountImportId}/cloneDirectedCount

> clone DirectedCountImport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.cloneDirectedCountImport.Out":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"}}},"co.hotwax.cycleCount.InventoryCountServices.cloneDirectedCountImport.In":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"},"facilityAreaId":{"type":"string"},"countImportName":{"type":"string"}},"required":["inventoryCountImportId"]}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/cloneDirectedCount":{"post":{"tags":["cycleCounts"],"summary":"clone DirectedCountImport","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.cloneDirectedCountImport.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.cloneDirectedCountImport.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.cloneDirectedCountImport.In"}}},"required":true}}}}}
```

## GET /cycleCounts/sessions/{inventoryCountImportId}/lock

> list InventoryCountImportLock

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportLock":{"title":"Inventory Count Import Lock","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportLock"},"inventoryCountImportId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"deviceId":{"type":"string"},"userId":{"type":"string"},"overrideByUserId":{"type":"string"},"leaseSeconds":{"type":"number"},"lastHeartbeatAt":{"type":"string","format":"date-time"},"overrideReason":{"type":"string"},"createdByUserLoginId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/lock":{"get":{"tags":["cycleCounts"],"summary":"list InventoryCountImportLock","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":"date-time"},"name":"fromDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"thruDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"deviceId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"userId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"overrideByUserId","in":"query","required":false,"description":"If forcibly released, who did it."},{"schema":{"type":"number","format":""},"name":"leaseSeconds","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastHeartbeatAt","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"overrideReason","in":"query","required":false,"description":"Reason for override (optional)."},{"schema":{"type":"string","format":""},"name":"createdByUserLoginId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportLock"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /cycleCounts/sessions/{inventoryCountImportId}/lock

> create SessionLock

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.createSessionLock.Out":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"},"fromDate":{"type":"string"}}},"co.hotwax.cycleCount.InventoryCountServices.createSessionLock.In":{"type":"object","properties":{"inventoryCountImportId":{"type":"string"},"deviceId":{"type":"string"},"userId":{"type":"string"},"fromDate":{"type":"string"},"thruDate":{"type":"string"}},"required":["inventoryCountImportId"]}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/lock":{"post":{"tags":["cycleCounts"],"summary":"create SessionLock","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createSessionLock.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createSessionLock.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.createSessionLock.In"}}},"required":true}}}}}
```

## PUT /cycleCounts/sessions/{inventoryCountImportId}/lock

> update InventoryCountImportLock

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportLock.PK":{"title":"Inventory Count Import Lock","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportLock.PK"},"inventoryCountImportId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"}}},"co.hotwax.warehouse.InventoryCountImportLock":{"title":"Inventory Count Import Lock","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportLock"},"inventoryCountImportId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"deviceId":{"type":"string"},"userId":{"type":"string"},"overrideByUserId":{"type":"string"},"leaseSeconds":{"type":"number"},"lastHeartbeatAt":{"type":"string","format":"date-time"},"overrideReason":{"type":"string"},"createdByUserLoginId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/lock":{"put":{"tags":["cycleCounts"],"summary":"update InventoryCountImportLock","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportLock.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportLock"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportLock"}}},"required":false}}}}}
```

## PUT /cycleCounts/sessions/{inventoryCountImportId}/release

> update InventoryCountImportLock

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.warehouse.InventoryCountImportLock.PK":{"title":"Inventory Count Import Lock","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportLock.PK"},"inventoryCountImportId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"}}},"co.hotwax.warehouse.InventoryCountImportLock":{"title":"Inventory Count Import Lock","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.warehouse.InventoryCountImportLock"},"inventoryCountImportId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"deviceId":{"type":"string"},"userId":{"type":"string"},"overrideByUserId":{"type":"string"},"leaseSeconds":{"type":"number"},"lastHeartbeatAt":{"type":"string","format":"date-time"},"overrideReason":{"type":"string"},"createdByUserLoginId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/cycleCounts/sessions/{inventoryCountImportId}/release":{"put":{"tags":["cycleCounts"],"summary":"update InventoryCountImportLock","description":null,"parameters":[{"schema":{"type":"string"},"name":"inventoryCountImportId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportLock.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportLock"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.warehouse.InventoryCountImportLock"}}},"required":false}}}}}
```

## POST /cycleCounts/export

> queue CycleCountsToExport

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.queueCycleCountsToExport.In":{"type":"object","properties":{"countType":{"type":"string"},"facilityId":{"type":"string"},"facilityId_op":{"type":"string","default":"in"},"createdDateFrom":{"type":"string"},"createdDateTo":{"type":"string"},"closedDate":{"type":"string"},"closedDateTo":{"type":"string"}}}}},"paths":{"/cycleCounts/export":{"post":{"tags":["cycleCounts"],"summary":"queue CycleCountsToExport","description":null,"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.queueCycleCountsToExport.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.queueCycleCountsToExport.In"}}},"required":true}}}}}
```

## GET /cycleCounts/export/{systemMessageId}

> get ExportedCycleCounts

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"4.0.0"},"tags":[{"name":"cycleCounts","description":"cycleCounts"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.cycleCount.InventoryCountServices.getExportedCycleCounts.Out":{"type":"object","properties":{"csvData":{"type":"string"}}}}},"paths":{"/cycleCounts/export/{systemMessageId}":{"get":{"tags":["cycleCounts"],"summary":"get ExportedCycleCounts","description":null,"parameters":[{"schema":{"type":"string"},"name":"systemMessageId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.cycleCount.InventoryCountServices.getExportedCycleCounts.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/inventory-count/cycle-counts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
